Bug 1317182 - Review Request: erlang-fast_xml - Fast Expat based Erlang XML parsing and manipulation library
Review Request: erlang-fast_xml - Fast Expat based Erlang XML parsing and man...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1312517
  Show dependency treegraph
 
Reported: 2016-03-12 15:37 EST by Randy Barlow
Modified: 2016-04-12 12:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: erlang-fast_xml-1.1.11-2.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-12 12:07:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2016-03-12 15:37:03 EST
Spec URL: https://rbarlow.fedorapeople.org/erlang-fast_xml.spec
SRPM URL: https://rbarlow.fedorapeople.org/erlang-fast_xml-1.1.11-1.fc25.src.rpm
Description: Fast Expat based Erlang XML parsing and manipulation library, with a strong
focus on XML stream parsing from network. It supports full XML structure
parsing, suitable for small but complete XML chunks, and XML stream parsing
suitable for large XML document, or infinite network XML stream like XMPP.
This module can parse files much faster than built-in module xmerl. Depending
on file complexity and size xml_stream:parse_element/1 can be 8-18 times faster
than calling xmerl_scan:string/2.
Fedora Account System Username: rbarlow

This is a rename of the erlang-p1_xml package, corresponding with the upstream renaming:

https://admin.fedoraproject.org/pkgdb/package/rpms/erlang-p1_xml/
Comment 1 Peter Lemenkov 2016-03-16 06:46:16 EDT
You should remove "%global debug_package %{nil}" because this package contains so-library and therefore should have debuginfo sub-package.
Comment 2 Randy Barlow 2016-03-18 08:42:28 EDT
Thank you Peter, it's fixed in release 2:

Spec URL: https://rbarlow.fedorapeople.org/erlang-fast_xml.spec
SRPM URL: https://rbarlow.fedorapeople.org/erlang-fast_xml-1.1.11-2.fc25.src.rpm
Comment 3 Peter Lemenkov 2016-04-11 11:44:24 EDT
I'll review it.
Comment 4 Peter Lemenkov 2016-04-11 11:55:52 EDT
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint isn't silent but all these messages may be safely omitted:

Auriga ~/rpmbuild/SPECS: rpmlint ../SRPMS/erlang-fast_xml-1.1.11-2.fc24.src.rpm ../RPMS/x86_64/erlang-fast_xml-*
erlang-fast_xml.src: W: spelling-error %description -l en_US xmerl -> Merle
erlang-fast_xml.src: W: spelling-error %description -l en_US xml -> XML, ml, x ml
erlang-fast_xml.x86_64: W: spelling-error %description -l en_US xmerl -> Merle
erlang-fast_xml.x86_64: W: spelling-error %description -l en_US xml -> XML, ml, x ml

^^^ false positive.

erlang-fast_xml.x86_64: W: no-soname /usr/lib64/erlang/lib/fast_xml-1.1.11/priv/lib/fxml.so
erlang-fast_xml.x86_64: W: no-soname /usr/lib64/erlang/lib/fast_xml-1.1.11/priv/lib/fxml_stream.so

^^^ these libraries will be dlopened so not having so-name is fine.

erlang-fast_xml-debuginfo.x86_64: W: spelling-error Summary(en_US) xml -> XML, ml, x ml
erlang-fast_xml-debuginfo.x86_64: W: spelling-error %description -l en_US xml -> XML, ml, x ml

^^^ false positive as well.

3 packages and 0 specfiles checked; 0 errors, 8 warnings.

Auriga ~/rpmbuild/SPECS: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the (yet to be finalized) Erlang Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (Apache 2.0).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

Auriga ~/rpmbuild/SOURCES: sha256sum 1.1.11.tar.gz*
61bd5b9d6ff454865d864106ab02b769bb4313461dcd011a4c4803886d4814ba  1.1.11.tar.gz
61bd5b9d6ff454865d864106ab02b769bb4313461dcd011a4c4803886d4814ba  1.1.11.tar.gz.1
Auriga ~/rpmbuild/SOURCES: 


+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No C/C++ header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.


APPROVED.

Note You need to log in before you can comment on or make changes to this bug.